This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 864114 - Agent download link address is URL:PORT/agentupdate/download instead of URL:PORT/agentupdate/download/rhq-enterprise-agent-VERSION.jar
Agent download link address is URL:PORT/agentupdate/download instead of URL:...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 11:28 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2012-10-08 11:28:40 EDT
Description of problem:
The Download/update link on server GUI is URL:PORT/agentupdate/download  and if customer would copy it and try to download (wget) on server, it will download a "download" file, and customer needs to rename it to rhq-enterprise-agent-VERSION.jar .

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Administration
2. Downloads
3. Copy Link address of Agent 
4. run "wget ${SAVED_LINK}" command on machine where agent will be installed
  
Actual results:
file with name "download" and without any extension  - and customer needs to cange the name to smth.jar and then install the agent.

Expected results:
rhq-enterprise-agent-VERSION.jar should be downloaded

Additional info:
If customer would download the link from GUI directly, it would be saved with correct name and extension.

Note You need to log in before you can comment on or make changes to this bug.